---
title: DOMRectReadOnly()
slug: Web/API/DOMRectReadOnly/DOMRectReadOnly
tags:
  - API
  - Constructor
  - DOM
  - DOM Reference
  - DOMRectReadOnly
  - Experimental
  - Geometry
  - Reference
---
<p>{{APIRef("DOM")}}{{ SeeCompatTable }}</p>

<p>The <strong><code>DOMRectReadOnly()</code></strong> constructor creates a new {{domxref("DOMRectReadOnly")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const myDOMRectReadOnly = new DOMRectReadOnly(<var>x</var>, <var>y</var>, <var>width</var>, <var>height</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>x</var></dt>
 <dd>The <code><var>x</var></code> coordinate of the <code>DOMRectReadOnly</code>'s origin.</dd>
 <dt><var>y</var></dt>
 <dd>The <code><var>y</var></code> coordinate of the <code>DOMRectReadOnly</code>'s origin.</dd>
 <dt><var>width</var></dt>
 <dd>The width of the <code>DOMRectReadOnly</code>.</dd>
 <dt><var>height</var></dt>
 <dd>The height of the <code>DOMRectReadOnly</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To create a new <code>DOMPoint</code>, you could run a line of code like so:</p>

<pre class="brush: js notranslate">const myDOMRect = new DOMRectReadOnly(0, 0, 100, 100)
// running 'myDOMRect' in the console would then return
// DOMRect { x: 0, y: 0, width: 100, height: 100, top: 0, right: 100, bottom: 100, left: 0 }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-domrectreadonly-domrectreadonly', 'DOMRectReadOnly()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMRectReadOnly.DOMRectReadOnly")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMPoint")}}</li>
 <li>{{domxref("DOMRect")}}</li>
</ul>
